/*
 * Copyright 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * This code was generated by https://code.google.com/p/google-apis-client-generator/
 * (build: 2013-06-26 16:27:34 UTC)
 * on 2013-07-15 at 19:49:22 UTC 
 * Modify at your own risk.
 */

package com.google.api.services.translate.model;

/**
 * Model definition for LanguagesResource.
 *
 * <p> This is the Java data model class that specifies how to parse/serialize into the JSON that is
 * transmitted over HTTP when working with the Translate API. For a detailed explanation see:
 * <a href="http://code.google.com/p/google-api-java-client/wiki/Json">http://code.google.com/p/google-api-java-client/wiki/Json</a>
 * </p>
 *
 * @author Google, Inc.
 */
@SuppressWarnings("javadoc")
public final class LanguagesResource extends com.google.api.client.json.GenericJson {

  /**
   * The language code.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.String language;

  /**
   * The localized name of the language if target parameter is given.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.String name;

  /**
   * The language code.
   * @return value or {@code null} for none
   */
  public java.lang.String getLanguage() {
    return language;
  }

  /**
   * The language code.
   * @param language language or {@code null} for none
   */
  public LanguagesResource setLanguage(java.lang.String language) {
    this.language = language;
    return this;
  }

  /**
   * The localized name of the language if target parameter is given.
   * @return value or {@code null} for none
   */
  public java.lang.String getName() {
    return name;
  }

  /**
   * The localized name of the language if target parameter is given.
   * @param name name or {@code null} for none
   */
  public LanguagesResource setName(java.lang.String name) {
    this.name = name;
    return this;
  }

  @Override
  public LanguagesResource set(String fieldName, Object value) {
    return (LanguagesResource) super.set(fieldName, value);
  }

  @Override
  public LanguagesResource clone() {
    return (LanguagesResource) super.clone();
  }

}
